<?php
require "header.php";
$admin = true;
require "authenticatie.php";

if ($_POST["knop"]) {

if (is_uploaded_file($_FILES['afbeelding']['tmp_name'])) {

	$artikelid = $_POST["artikelid"];

	// Controleer grootte
	if ($_FILES['afbeelding']['size'] > 45000) {
		echo "Het bestand is te groot!";
		exit;
	}
	// Controleer extensie
	if (!ereg("((.gif|.jpg)$)", $_FILES['afbeelding']['name'], $extensie)) {
		echo "Het bestand bevat is niet van het juiste type";
		exit;
	}
	$extensie = $extensie[0];
	$sql = "INSERT INTO Afbeelding (ARTIKEL_ID, Bestandstype) VALUES ($artikelid, '$extensie')";
	if (!mysql_query($sql)) {
		echo "Het bijwerken van de database is mislukt!";
	}
	$doelbestandsnaam = mysql_insert_id().$extensie; // naam bestaat uit sleutel en extensie.

	if (!move_uploaded_file($_FILES['afbeelding']['tmp_name'], $pad.$doelbestandsnaam)) {
		echo "Het bestand kan niet verplaatst worden!";
	}
	echo "Uw bestand ".$_FILES['afbeelding']['name']." is geupload";

} else {

	echo "Het uploaden is mislukt!";

}


} else {

?>
<p><div class="big">Afbeelding uploaden bij artikel</div><br>
<form enctype="multipart/form-data" action="<?php echo $_SERVER["PHP_SELF"] ?>" method="post">
Selecteer een artikel: <select name="artikelid">
<?php
	$sql = "SELECT * FROM Artikel";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
echo "<option value=\"";
echo $rij["ARTIKEL_ID"]."\"";
// Link tussen artikeloverzicht en afb. uploaden
if ($_GET["artikelid"] == $rij["ARTIKEL_ID"]) {
	echo "selected"; 
}
echo ">";
echo $rij["Naam"]."</option>\n";
	}
?>
</select><br>
<input type="hidden" name="MAX_FILE_SIZE" value="45000">
Upload afbeelding: <input name="afbeelding" type="file">
<input type="submit" value="Verzend!" name="knop">
</form>
<?php

}

require "footer.php";

?>
